#!/bin/bash
#
#
#


# Colors
C_RED='\e[1;31m'
C_BLUE='\e[1;34m'
C_GREEN='\e[1;32m'
C_CYAN='\e[1;36m'
C_NONE='\e[0m'


# If this script is not running in a terminal, restart it in a terminal.
if [ ! -t 1 ]; then
	# Try default terminal
	if [ -f /usr/bin/x-terminal-emulator ]; then
		x-terminal-emulator -e "$0" "$@"
	# Else try xterm
    elif [ -f /usr/bin/xterm ]; then
		xterm -e "$0" "$@"
	# Else try gnome-terminal
	else
		gnome-terminal -e "$0" "$@"
	fi
	
	# Exit terminal-less execution
	exit 0
fi


# Test for root
if [ $EUID -ne "0" ]; then 
	echo -e "${C_RED}You must be root to enable support for Velotype USB products.${C_NONE}"
    sudo "$0" "$@"
    exit $?
fi


# Create group 'velotype' and add current user to this new group
#currentuser=`logname`
#currentuser=$USER
currentuser=$SUDO_USER
#currentuser=`id -u -n`
addgroup velotype
adduser $currentuser velotype


# Copy rules file
dirname=`dirname $0`
tmp="${dirname#?}"
if [ "${dirname%$tmp}" != "/" ]; then
	dirname=$PWD/$dirname
fi
cp $dirname/25-velotype.rules /etc/udev/rules.d/


# Make sure file mod is 644
chmod 644 /etc/udev/rules.d/25-velotype.rules


# Restart udev deamon
#restart udev
service udev reload


echo -e "${C_GREEN}Done, you should now have access to all usb devices! But you may need to replug your device.${C_NONE}"

